.root{

}

.link{
  color: var(--text-color);
  text-decoration: none;
}

.main-content{
  display: inline-block;
  text-align: left;
  transform: translateY(0);
  transition: transform 0.7s ease;
}

.image-wrapper{
  margin-bottom: 1.25rem;
  overflow: hidden;
  position: relative;
  background: #000;
}

.image-wrapper::after{
  content: 'mehr lesen';
  position: absolute;
  z-index: 2;
  width: 200px;
  left: 50%;
  top: 50%;
  opacity: 0;
  transform: translate(-50%, -50%);
  transition: opacity 0.4s ease 0s;
  font-weight: 700;
  color: #fff;

  text-align: center;
}
.image-wrapper::before{
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  opacity: 0;
  transition: opacity 0.7s, transform 0.7s;
  transform: translate3d(-50%,-50%,0) scale(0.1);
  transform-origin: 50%;
  z-index: 1;
  background: rgba(0, 0, 0, 0.3);

}



.position-left{
}

.position-right{

}

.position-fullwidth{
}

.image {
  display: block;
  max-width: 100%;
  height: auto;
  min-height: 380px;
  object-fit: cover;
  transition: transform 0.7s ease, opacity 0.7s ease;
}

.header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  margin-bottom: 0;
}

.desc {
  font-size: 14px;
  line-height: 1.5;
  font-weight: 300;
  color: #4d4d4d;
  margin-bottom: 0;
}

.label{
  color: var(--color-white);
  font-size: 14px;
  line-height: 1.5rem;
  padding: 0 0.5rem;
  margin: 0.25rem 0;
}

.link:hover .image,
.link:focus .image,
.link:active .image{
  transform: scale3d(1.1, 1.1, 1.1);
  opacity: 0.7;
}

.link:hover .main-content,
.link:focus .main-content,
.link:active .main-content{
  transform: translateY(-0.75rem);
}
.link:hover .image-wrapper::before,
.link:focus .image-wrapper::before,
.link:active .image-wrapper::before{
  opacity: 1;
  transform: translate3d(-50%,-50%,0) rotate3d(0,0,1, -45deg) scale3d(1,1,1);
}
.link:hover .image-wrapper::after,
.link:focus .image-wrapper::after,
.link:active .image-wrapper::after{
  opacity: 1;
  transition: opacity 0.7s ease 0.4s;
}

@media (min-width: 992px) {
  .header {
    font-size: 2rem;
  }
  .desc {
    font-size: 1rem;
  }
  .image-wrapper{
    margin-bottom: 1.75rem;
  }

  .image{
    min-height: 380px;
  }

  .position-right{
    margin-right: 0;
    margin-left: auto;
    text-align: right;
    max-width: 68%;
  }

  .position-left{
    max-width: 68%;
  }
  .link:hover .main-content,
  .link:focus .main-content,
  .link:active .main-content{
    transform: translateY(-1.5rem);
  }
}

@media (min-width: 1200px) {
  .header {
    font-size: 2.25rem;
  }
  .desc {
    font-size: 1.25rem;
  }
  .image-wrapper{
    margin-bottom: 2.75rem;
  }
}

